#include "FlagObjForm.h"

using namespace ObjDataEdit;

//######################################################################################################
//主要需要繼承的涵式
ReaderClass< DB_GameObjDbStruct >* FlagObjForm::ObjReader( )
{
	return GameObjDbStructEx::ObjReader_Flag( );
}
void    FlagObjForm::OnActive()
{
	BaseForm::OnActive();
}
void    FlagObjForm::OnSelectObj( bool LockOk )
{
       _ObjDB.GameData.Classification = EM_ObjectClass_Flag;
}
//輸出時額外設定
void    FlagObjForm::OnOutputObjSetting( DB_GameObjDbStruct* TempObj )
{
    TempObj->GameData.Classification = EM_ObjectClass_Flag;
}
void    FlagObjForm::OnTimeProc()
{

}

int     FlagObjForm::ObjSize(  )
{
    //int Size = sizeof( GameObjDbStruct );
    //Size = Size & 0xfffffC;
	GameObjDbStruct *P = NULL;
	int Size = sizeof( GameObjDbStruct ) - sizeof( P->Temp ) + 3;
	Size = Size & 0xfffffC;

    return Size;
}
//######################################################################################################
